
Foreman - Refactor #20807

Remove 1.18 deprecations

08/30/2017 11:34 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5203

  

Description

To be done after 1.17-stable is branched.

Scan the codebase for deprecations marked with a 1.18 deadline and remove them (ack deprecation.*1.18). All deprecations with a

1.18 deadline have been shipped (at least) in 1.16 and 1.17.

Marked for a 1.17.0 release so it's done at the time of 1.17-stable branching, but please move to 1.18.0 when done.

Associated revisions

Revision e2194150 - 01/26/2018 10:50 AM - Ondřej Pražák

Fixes #20807 - Remove deprecations for 1.18

History

#1 - 01/23/2018 12:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/5203 added

#2 - 01/23/2018 12:44 PM - Ondřej Pražák

- translation missing: en.field_release changed from 296 to 330

#3 - 01/26/2018 11:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e2194150e7532e03a1e6dce9c24b25d5725fa3c8.
